ByteArrayInputReader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.io
Class ByteArrayInputReader

    java.lang.Object
      com.bbn.openmap.io.StreamInputReader
          com.bbn.openmap.io.ByteArrayInputReader

All Implemented Interfaces:
  InputReader

    public class ByteArrayInputReader

extends StreamInputReader

An `InputReader` working on a byte array

Author:
  halset

Field Summary

Fields inherited from class com.bbn.openmap.io.StreamInputReader
`inputStream, inputStreamCount, name`

Constructor Summary
`ByteArrayInputReader(byte[] bytes)`

Method Summary
`protected void` | `reopen()` Reset the DataInputStream to the beginning, by closing the current connection and reopening it.

Methods inherited from class com.bbn.openmap.io.StreamInputReader
`available, close, count, getFilePointer, getName, length, read, read, read, readBytes, seek, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteArrayInputReader

    public ByteArrayInputReader(byte[] bytes)

Method Detail

### reopen

    protected void reopen()
                   throws java.io.IOException

  Description copied from class: `StreamInputReader`
  Reset the DataInputStream to the beginning, by closing the current connection and reopening it. The StreamInputReader method simply closes the input stream and resets the input stream count, so the implementation of this class needs to reopen the stream at the beginning of the source file.

  Overrides:
    `reopen` in class `StreamInputReader`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details